library ieee;
USE ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all ;

ENTITY tb_top_v2_sp IS end tb_top_v2_sp;

ARCHITECTURE rtl OF tb_top_v2_sp IS
component top_v2_sp port (
	rstin		: in std_logic ;	-- reset input (active low)
	clkin 		: in std_logic;		-- clock 
	match		: out std_logic ;	-- transfer working
	locked		: out std_logic);	-- DCMs locked
end component;

signal clkb, clka : std_logic := '0';
signal rst : std_logic := '0' ;
signal lock : std_logic ;

BEGIN

clka <= not clka after 4.0 ns ; 	-- 125 Mhz
clkb <= not clkb after 3.3 ns ; 	-- 150 Mhz
rst <= '1' after 10 nS;

chip : top_v2_sp port map (
	rstin		=> rst,
	clkin		=> clka,
	match		=> open,
	locked		=> lock);

end rtl;
